[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-2.2.1-19-gad1813f

by Andre Heinecke cvs at cvs.gnupg.org
Mon Aug 4 22:20:00 CEST 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  ad1813f5abd892ee6568e8488799e7c14776e6e8 (commit)
      from  6eb6646136dcfb77ecfec180a125bd8dbffb804e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit ad1813f5abd892ee6568e8488799e7c14776e6e8
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Aug 4 22:18:41 2014 +0200

    Fix build with newer mingw versions
    
        This adds an upstream fix to the gnulibs of libtasn
        and gnutls
    
        * patches/gnutls-2.12.23/gnulib-mingw-w64-fix.patch,
          patches/libtasn1-2.14/gnulib-mingw-w64-fix.patch: New.

diff --git a/patches/gnutls-2.12.23/gnulib-mingw-w64-fix.patch b/patches/gnutls-2.12.23/gnulib-mingw-w64-fix.patch
new file mode 100755
index 0000000..5a6b520
--- /dev/null
+++ b/patches/gnutls-2.12.23/gnulib-mingw-w64-fix.patch
@@ -0,0 +1,71 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+2014-08-04  Andre Heinecke  <aheinecke at intevation.de>
+
+    Apply gnulib commit 8672534
+    * gl/msvc-inval.c: Use __cdecl instead of cdecl
+    * lib/gl/msvc-inval.c: Wtf, they have it twice o.O
+
+
+diff -ru a/gl/msvc-inval.c b/gl/msvc-inval.c
+--- a/gl/msvc-inval.c	2014-08-04 20:41:03.938286457 +0200
++++ b/gl/msvc-inval.c	2014-08-04 20:41:40.138286520 +0200
+@@ -28,7 +28,7 @@
+
+ # if MSVC_INVALID_PARAMETER_HANDLING == DEFAULT_HANDLING
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
+@@ -45,7 +45,7 @@
+
+ #  if defined _MSC_VER
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
+@@ -94,7 +94,7 @@
+     }
+ }
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
+diff -ru a/lib/gl/msvc-inval.c b/lib/gl/msvc-inval.c
+--- a/lib/gl/msvc-inval.c	2014-08-04 20:41:03.938286457 +0200
++++ b/lib/gl/msvc-inval.c	2014-08-04 20:41:40.138286520 +0200
+@@ -28,7 +28,7 @@
+
+ # if MSVC_INVALID_PARAMETER_HANDLING == DEFAULT_HANDLING
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
+@@ -45,7 +45,7 @@
+
+ #  if defined _MSC_VER
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
+@@ -94,7 +94,7 @@
+     }
+ }
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
diff --git a/patches/libtasn1-2.14/gnulib-mingw-w64-fix.patch b/patches/libtasn1-2.14/gnulib-mingw-w64-fix.patch
new file mode 100755
index 0000000..825ea74
--- /dev/null
+++ b/patches/libtasn1-2.14/gnulib-mingw-w64-fix.patch
@@ -0,0 +1,40 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+2014-08-04  Andre Heinecke  <aheinecke at intevation.de>
+
+    Apply gnulib commit 8672534
+    * gl/msvc-inval.c: Use __cdecl instead of cdecl
+
+
+diff -ru libtasn1-2.14.orig/gl/msvc-inval.c libtasn1-2.14/gl/msvc-inval.c
+--- libtasn1-2.14.orig/gl/msvc-inval.c	2014-08-04 20:41:03.938286457 +0200
++++ libtasn1-2.14/gl/msvc-inval.c	2014-08-04 20:41:40.138286520 +0200
+@@ -28,7 +28,7 @@
+
+ # if MSVC_INVALID_PARAMETER_HANDLING == DEFAULT_HANDLING
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
+@@ -45,7 +45,7 @@
+
+ #  if defined _MSC_VER
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,
+@@ -94,7 +94,7 @@
+     }
+ }
+
+-static void cdecl
++static void __cdecl
+ gl_msvc_invalid_parameter_handler (const wchar_t *expression,
+                                    const wchar_t *function,
+                                    const wchar_t *file,

-----------------------------------------------------------------------

Summary of changes:
 patches/gnutls-2.12.23/gnulib-mingw-w64-fix.patch |   71 +++++++++++++++++++++
 patches/libtasn1-2.14/gnulib-mingw-w64-fix.patch  |   40 ++++++++++++
 2 files changed, 111 insertions(+)
 create mode 100755 patches/gnutls-2.12.23/gnulib-mingw-w64-fix.patch
 create mode 100755 patches/libtasn1-2.14/gnulib-mingw-w64-fix.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list